clc
clear all
close all
warning off all
% corcev
[num txt] = xlsread('seznam_registrovany sikim2.xls');

rozsah = size(txt);


tic
% cesta_sourad = 'c:\Users\Michal\Documents\VUTBR\Magistr\Diplomová práce\Programy\Program automaticka registrace\Výsledky\';
cesta_sourad = 'c:\Users\Michal\Documents\VUTBR\Magistr\Diplomová práce\Programy\Hledání korespondenčních značek\Souřadnice_reg_norm2\';

cesta_vysledky = 'c:\Users\Michal\Documents\VUTBR\Magistr\Diplomová práce\Programy\Hledání korespondenčních značek\Krizky_zdravi\';

start = 1;
vse = 0;
vel_kriz = 9;
for i = start:rozsah(2)
    for j = 3:rozsah(1)
        if length(cell2mat(txt(j,i))) == 0

            continue
        else
        vse = vse + 1;          

        end
    end
end
count = 0;
nul = 0;

k = 0;
m = 1;


for i = start:rozsah(2)
    for j = 3:rozsah(1)
        if length(cell2mat(txt(j,i))) == 0
            nul = nul + 1;
            continue
        else
            clc
            count = count+1;
            odpocet(vse,count)  % zobrazeni provedenych % a casu do konce
            disp([num2str(cell2mat(txt(2,i))) '' '  -  ' '' num2str(cell2mat(txt(j,i)))])
            
            soubor1 = cell2mat(txt(2,i));
            soubor2 = cell2mat(txt(j,i));
            cesta_obr = cell2mat(txt(1,i));
            
            
            obr1 = imread([cesta_obr '' soubor1 '' '.jpg']);
            obr2 = imread([cesta_obr '' soubor2 '' '.jpg']);

            obr1 = imresize(obr1,[1000 1500]);
            obr2 = imresize(obr2,[1000 1500]);
            
            load([cesta_sourad '' soubor1 '' '_sourad.mat'])
            sourad1 = souradnice_vse(1:2,:);        
            sourad2 = souradnice_vse(j+k:j+k+1,:);
            k = k+1;
            sourad1(:,find (sourad1(1,:)==0))=[];
            sourad2(:,find (sourad2(1,:)==0))=[];
            
            
            
            obr_kriz1 = obr1(:,:,2);
            for f = 1:length(sourad1)
                obr_kriz1(sourad1(1,f)-vel_kriz:sourad1(1,f)+vel_kriz,sourad1(2,f)) = 255;
                obr_kriz1(sourad1(1,f),sourad1(2,f)-vel_kriz:sourad1(2,f)+vel_kriz ) = 255;
            end
            
            obr_kriz2 = obr2(:,:,2);
            for f = 1:length(sourad2)
                obr_kriz2(sourad2(1,f)-vel_kriz:sourad2(1,f)+vel_kriz,sourad2(2,f)) = 255;
                obr_kriz2(sourad2(1,f),sourad2(2,f)-vel_kriz:sourad2(2,f)+vel_kriz ) = 255;
            end
            
            imwrite(obr_kriz1, [cesta_vysledky '' soubor1 '' '.png'])
            imwrite(obr_kriz2, [cesta_vysledky '' soubor2 '' '.png'])
            
            
            m = m+5;
            
        end
    end
    
    uloz_sourad = [];
    k = 0;
    m = 1;
end

